10 10
5
1 1 E
2 2 E
4 3 V
4 7 S
6 5 S
42
FFFFFFFFFRFFFFFFFFFRFFFFFFFFFRFFFFFFFFFRFF
FFFFFFFFRFFFFFFFFFRFFFFFFFFFRFFFFFFFFFRFFF
LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLFF
FFFLLFFFRRFFFFLLLLLLLLLLLLLLLLLLLLLLLLLLLL
FFFFLRLRLRLRLRLRLRLRLRLRLRLRLRLRLRLRLRLRLR